System files are corrupt after installing preloader

Discussion in 'Wii - Hacking' started by Unfortune, Jul 6, 2009.

  1. Unfortune
    OP

    Unfortune GBAtemp Fan

    Member
    342
    0
    May 10, 2009
    Pakistan
    Alberta, Canada
    how do I fix it? Please, im begging you, help me to restore the system menu.

    do i downgrade to 3.2U so i have a working system menu?
     


  2. Unfortune
    OP

    Unfortune GBAtemp Fan

    Member
    342
    0
    May 10, 2009
    Pakistan
    Alberta, Canada
    PLEASE HELP!!! SHOULD I INSTALL SYSTEM MENU 3.2U USING ANYREGION CHANGER? plz help!
     
  3. Det1re

    Det1re det1re.de

    Member
    1,272
    1
    Oct 28, 2008
    Gambia, The
    Germany
    Try running the preloader 0.29 installer again. But I doubt it's compatible with 3.3/3.4
     
  4. Unfortune
    OP

    Unfortune GBAtemp Fan

    Member
    342
    0
    May 10, 2009
    Pakistan
    Alberta, Canada
    i did. it didnt work. it still does it.

    Posts merged

    tell me! should i use anyregion changer to install system menu 3.2U ?
     
  5. Ltsykes

    Ltsykes Member

    Newcomer
    35
    2
    Mar 1, 2009
    Brazil
    Install the 3.2 using the ARC or re-instaall the 3.4 wad, using the Wad manager
     
  6. wrettcaughn

    wrettcaughn Misunderstood Moral Elitist

    Member
    3,785
    863
    Mar 14, 2009
    United States
    You definitely need to read up on this stuff before installing it. Preloader does not work on 3.4.

    - Download NUS Downloader and run it (it is a PC program, not homebrew)
    - Use it to download a 4.0 WAD for your system
    - Boot your Wii to HBC and use WAD manager to install your new system menu
    - Make sure you find and use the 4.0 hacks file and preloader 0.29 next time you try to install

    If you need a more in depth guide to any of this, there is a preloader sticky on the Wii-Hacking board and there are a couple of NUS Downloader threads (search).
     
  7. Unfortune
    OP

    Unfortune GBAtemp Fan

    Member
    342
    0
    May 10, 2009
    Pakistan
    Alberta, Canada
    THANK YOU! I DOWNGRADED WITH ANY REGION CHANGER TO 3.2U AND NOW EVERYTHING IS FINE--AND ACTUALLY, my wii is BETTER!!! cuz i have 3.2U!

    Posts merged

    oh ya and i DID read up. i asked sum1 on gbatemp and he said its fine.
     
  8. wrettcaughn

    wrettcaughn Misunderstood Moral Elitist

    Member
    3,785
    863
    Mar 14, 2009
    United States
    Post their name so every can know who was trying to brick you...

    ***EDIT***
    If this is the thread where someone told you to do it then you most definitely misunderstood them...
     
  9. UranusKiller

    UranusKiller TranceMaster

    Member
    960
    3
    Feb 9, 2009
    Redcar, England, UK.
    so sad it's not even funny :/
     
  10. sl33p

    sl33p GBAtemp Regular

    Member
    191
    7
    Dec 7, 2008
    United States
    Really. Using the prepackaged hacks that very smart people have created isn't exactly rocket science. But some people are just going to do what they want to do and cognitive dissonance allows them to do so. If you're going to spam new threads and spam bumps for each and every little issue the least you can do is actually read the replies that people take their time and effort to post. If you're just going to do what you wanted to anyway like some arrogant 13-year old why would you bother asking?

    Anyway, I'm glad that your system is working again. If at all possible install Bootmii to boot2 and make a back up ASAP. Bootmii is a great tool and is wonderful to save you from moments of temporary retardation---as it did for me a few days ago [​IMG]
     
  11. Unfortune
    OP

    Unfortune GBAtemp Fan

    Member
    342
    0
    May 10, 2009
    Pakistan
    Alberta, Canada
    yeh, i thought he said 3.4e. oh well, my wii is awesomer with 3.2u
     
  12. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    329
    Nov 19, 2008
    United States
    Sandy, UT
    Preloader isn't supposed to be used on 3.4. It's 3.2 and 4.0 only k
     
  13. hpacheco

    hpacheco Member

    Newcomer
    30
    0
    Aug 27, 2009
    United States
    practically the same happened to me. I installed preloader with System Menu 3.3E, and now the system files are corrupt.
    Since preloader is installed, I can run into the HBC, and I have a BootMii NAND backup in my SD card, from right after I installed the HBC.

    Since this is not my Wii, but a friend's Wii (mine had 3.2 so no problems), I am really afraid on how to proceed next.

    If I install another system menu like 3.2, could the preloader be uninstalled during that process?
    Also, if I backup using BootMii (from the HBC), I suppose that by reseting the NAND the preloader will get erased. Is there any change that the backup might fail and I end up with a totally bricked Wii?

    I installed preloader right away to be carefull, but it appears that it actually broke my system.

    Thanks in adance for any help,
    hugo
     
  14. xzxero

    xzxero ♥bong milk does good for the brain♥

    Member
    3,831
    28
    Jul 18, 2008
    United States
    SB
    just get into preloader and change the IOS that the system menu loads up with to 30. if it already at 30 then change it to 60 then back to 30
     
  15. hpacheco

    hpacheco Member

    Newcomer
    30
    0
    Aug 27, 2009
    United States
    The thing is. after restoring, BootMii reinstalls himself as boot2 I suppose?

    My fear is that I can only install BootMii as IOS, that's why I have preloader. Restoring the backup will uninstall the preloader...

    Please help
     
  16. Deviyl

    Deviyl GBAtemp Fan

    Member
    418
    0
    Oct 2, 2008
    United States
    Not sure why exactly you believe your Wii to be better because it's on an outdated SM. Guess that's the same thought process that got you a brick in the first place..

    You should upgrade to 4.1. All the cool people are doin it.
     
  17. hpacheco

    hpacheco Member

    Newcomer
    30
    0
    Aug 27, 2009
    United States
    Thanks xzxero, sorry but how can I do so? In the softmii tutorial it also says:

    "Reboot your Wii. If you get a system files corrupt message, Power the wii off, turn it on and immediatly hold reset down until preloader appears. Change System Menu IOS to 30 and reboot."

    Shouldn't I follow the suggestion above and try to install System Menu 3.2? I'm afraid that I might uninstall preloader in the process and risk bricking it for life.
     
  18. marcan is so awe

    marcan is so awe Member

    Newcomer
    30
    0
    Apr 16, 2009
    Canada
    but 4.0 wasnt released when unfortune asked this lol?
     
  19. hpacheco

    hpacheco Member

    Newcomer
    30
    0
    Aug 27, 2009
    United States
    Ok, I have found the option in the settings, sorry.

    Anyway, I haven't got IOS 60 there, just some 30s, 53, 55 and 254. Should I install anything? Sorry for the persistence, I am more than worried, although I might not have such a strong reason, but I am...
     
  20. hpacheco

    hpacheco Member

    Newcomer
    30
    0
    Aug 27, 2009
    United States
    Okay, it worked, noobs deal (yes, I am a big one).


    Changed IOS to 55, restarted back to 30 and that's it, I got my 3.3E system back.

    I was planning on installing SoftMii 3.0, but now am afraid to do it wrong... Any precautions I shall have?
    From the tutorial (http://gamingexposed.com/docs/wiidocs/117-softmod40.html) it appears to me that preloader gets uninstalled along the way... so I might permanently brick the Wii if something goes wrong?